Bug 110693 - [CI][DRMTIP][DSI] igt@kms_plane_lowres@pipe-* - dmesg-warn - bad panel fit mode: 0
Summary: [CI][DRMTIP][DSI] igt@kms_plane_lowres@pipe-* - dmesg-warn - bad panel fit mo...
Status: RESOLVED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: DRI git
Hardware: Other All
: medium normal
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords:
Depends on:
Blocks:
 
Reported: 2019-05-16 14:32 UTC by Lakshmi
Modified: 2019-07-30 09:39 UTC (History)
2 users (show)

See Also:
i915 platform: ICL
i915 features: display/DSI


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lakshmi 2019-05-16 14:32:27 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_286/fi-icl-dsi/igt@kms_plane_lowres@pipe-a-tiling-yf.html

 ------------[ cut here ]------------
<4> [323.521984] bad panel fit mode: 0
<4> [323.522095] WARNING: CPU: 3 PID: 1136 at drivers/gpu/drm/i915/intel_panel.c:234 intel_pch_panel_fitting+0x31/0x150 [i915]
<4> [323.522099] Modules linked in: vgem snd_hda_codec_hdmi mei_hdcp snd_hda_codec_realtek snd_hda_codec_generic i915 x86_pkg_temp_thermal coretemp crct10dif_pclmul crc32_pclmul ghash_clmulni_intel snd_hda_intel snd_hda_codec ax88179_178a usbnet mii snd_hwdep e1000e snd_hda_core snd_pcm ptp pps_core mei_me mei prime_numbers
<4> [323.522126] CPU: 3 PID: 1136 Comm: kms_plane_lowre Tainted: G     U            5.1.0-ge5fc04883b9a-drmtip_286+ #1
<4> [323.522130] Hardware name: Intel Corporation Ice Lake Client Platform/IceLake Y LPDDR4x T4 RVP TLC, BIOS ICLSFWR1.R00.3102.A00.1903052247 03/05/2019
<4> [323.522208] RIP: 0010:intel_pch_panel_fitting+0x31/0x150 [i915]
<4> [323.522212] Code: be 14 02 00 00 39 f9 74 5b 83 fa 02 0f 84 92 00 00 00 83 fa 03 74 16 83 fa 01 74 67 89 d6 48 c7 c7 84 20 54 c0 e8 2f bc c1 df <0f> 0b c3 44 8b 8e 18 02 00 00 44 8b 86 a8 00 00 00 89 ca 89 f8 41
<4> [323.522216] RSP: 0018:ffffade4006cbad8 EFLAGS: 00010282
<4> [323.522220] RAX: 0000000000000000 RBX: ffff9874183c8008 RCX: 0000000000000000
<4> [323.522223] RDX: 0000000000000007 RSI: ffff98740a1448e0 RDI: 00000000ffffffff
<4> [323.522227] RBP: ffff9874132eb858 R08: 0000000077266081 R09: 0000000000000000
<4> [323.522230] R10: 00000000000005a0 R11: 0000000000000000 R12: ffff9874060312a8
<4> [323.522233] R13: ffff98740a05a738 R14: ffff9874060312a8 R15: ffff987408e6e678
<4> [323.522237] FS:  00007f4fc3f2de40(0000) GS:ffff98741bf80000(0000) knlGS:0000000000000000
<4> [323.522240] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
<4> [323.522243] CR2: 00007f7357ec0228 CR3: 000000027918e003 CR4: 0000000000760ee0
<4> [323.522247] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
<4> [323.522250] DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
<4> [323.522253] PKRU: 55555554
<4> [323.522255] Call Trace:
<4> [323.522332]  gen11_dsi_compute_config+0x42/0x90 [i915]
<4> [323.522409]  intel_atomic_check+0x47c/0x1380 [i915]
<4> [323.522428]  drm_atomic_check_only+0x55a/0x7f0
<4> [323.522440]  drm_atomic_commit+0xe/0x50
<4> [323.522447]  drm_mode_atomic_ioctl+0x858/0x940
<4> [323.522471]  ? drm_atomic_set_property+0x950/0x950
<4> [323.522477]  drm_ioctl_kernel+0x83/0xf0
<4> [323.522485]  drm_ioctl+0x2f3/0x3b0
<4> [323.522493]  ? drm_atomic_set_property+0x950/0x950
<4> [323.522507]  ? __lock_acquire+0x49f/0x1590
<4> [323.522520]  do_vfs_ioctl+0xa0/0x6e0
<4> [323.522529]  ? __task_pid_nr_ns+0xb9/0x1f0
<4> [323.522538]  ksys_ioctl+0x35/0x60
<4> [323.522546]  __x64_sys_ioctl+0x11/0x20
<4> [323.522551]  do_syscall_64+0x55/0x190
<4> [323.522558]  entry_SYSCALL_64_after_hwframe+0x49/0xbe
<4> [323.522562] RIP: 0033:0x7f4fc37e95d7
<4> [323.522566] Code: b3 66 90 48 8b 05 b1 48 2d 00 64 c7 00 26 00 00 00 48 c7 c0 ff ff ff ff c3 66 2e 0f 1f 84 00 00 00 00 00 b8 10 00 00 00 0f 05 <48> 3d 01 f0 ff ff 73 01 c3 48 8b 0d 81 48 2d 00 f7 d8 64 89 01 48
<4> [323.522570] RSP: 002b:00007ffd9df7c158 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
<4> [323.522574] RAX: ffffffffffffffda RBX: 00005634864fab10 RCX: 00007f4fc37e95d7
<4> [323.522577] RDX: 00007ffd9df7c1b0 RSI: 00000000c03864bc RDI: 0000000000000005
<4> [323.522580] RBP: 00007ffd9df7c1b0 R08: 000056348653a2e0 R09: 00000000000000d0
<4> [323.522583] R10: 0000000000000001 R11: 0000000000000246 R12: 00000000c03864bc
<4> [323.522586] R13: 0000000000000005 R14: 0000000000000000 R15: 0000000000000400
<4> [323.522602] irq event stamp: 149278
<4> [323.522609] hardirqs last  enabled at (149277): [<ffffffffa0128db7>] console_unlock+0x3f7/0x5a0
<4> [323.522613] hardirqs last disabled at (149278): [<ffffffffa00019b0>] trace_hardirqs_off_thunk+0x1a/0x1c
<4> [323.522618] softirqs last  enabled at (149036): [<ffffffffa0c0033a>] __do_softirq+0x33a/0x4b9
<4> [323.522622] softirqs last disabled at (149023): [<ffffffffa00b93b9>] irq_exit+0xa9/0xc0
<4> [323.522693] WARNING: CPU: 3 PID: 1136 at drivers/gpu/drm/i915/intel_panel.c:234 intel_pch_panel_fitting+0x31/0x150 [i915]
<4> [323.522696] ---[ end trace 396df7f2e1b8ed45 ]---
Comment 1 CI Bug Log 2019-05-16 14:35:41 UTC
The CI Bug Log issue associated to this bug has been updated.

### New filters associated

* fi-icl-dsi:  igt@kms_plane_lowres@pipe-* - dmesg-warn - bad panel fit mode: 0
  (No new failures associated)
Comment 3 CI Bug Log 2019-05-16 14:47:43 UTC
A CI Bug Log filter associated to this bug has been updated:

{- fi-icl-dsi: igt@runner@aborted - fail - Previous test: (kms_plane_lowres (pipe-a-tiling-y)|kms_plane_lowres (pipe-c-tiling-x)|kms_plane_lowres (pipe-b-tiling-y)|kms_plane_lowres (pipe-c-tiling-none)|kms_concurrent (pipe-[abc])) -}
{+ fi-icl-dsi: igt@runner@aborted - fail - Previous test: (kms_plane_lowres (pipe-a-tiling-y)|kms_plane_lowres (pipe-c-tiling-x)|kms_plane_lowres (pipe-b-tiling-y)|kms_plane_lowres (pipe-c-tiling-none)|kms_concurrent (pipe-[abc])) +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_286/fi-icl-dsi/igt@runner@aborted.html
Comment 4 CI Bug Log 2019-05-16 14:48:12 UTC
A CI Bug Log filter associated to this bug has been updated:

{- fi-icl-dsi: igt@runner@aborted - fail - Previous test: (kms_plane_lowres (pipe-a-tiling-y)|kms_plane_lowres (pipe-c-tiling-x)|kms_plane_lowres (pipe-b-tiling-y)|kms_plane_lowres (pipe-c-tiling-none)|kms_concurrent (pipe-[abc])) -}
{+ fi-icl-dsi: igt@runner@aborted - fail - Previous test: (kms_plane_lowres (pipe-a-tiling-y)|kms_plane_lowres (pipe-c-tiling-x)|kms_plane_lowres (pipe-b-tiling-y)|kms_plane_lowres (pipe-c-tiling-none)|kms_concurrent (pipe-[abc])) +}


  No new failures caught with the new filter
Comment 5 Jani Nikula 2019-05-16 15:34:04 UTC
We use the scaling mode but we don't initialize it or attach the scaling mode property like vlv dsi code does.

Need to refactor intel_dsi_add_properties() a bit to handle vlv vs. icl differences, move the common parts to intel_dsi.c, and call it from icl dsi code. That should get the job done.

Vandita, interested? :)
Comment 6 vandita.kulkarni 2019-05-17 02:43:37 UTC
Will do it :)
Comment 7 CI Bug Log 2019-05-23 13:48:32 UTC
A CI Bug Log filter associated to this bug has been updated:

{- fi-icl-dsi: igt@runner@aborted - fail - Previous test: (kms_plane_lowres (pipe-a-tiling-y)|kms_plane_lowres (pipe-c-tiling-x)|kms_plane_lowres (pipe-b-tiling-y)|kms_plane_lowres (pipe-c-tiling-none)|kms_concurrent (pipe-[abc])) -}
{+ fi-icl-dsi: igt@runner@aborted - fail - Previous test: (kms_plane_lowres (pipe-a-tiling-y)|kms_plane_lowres (pipe-c-tiling-x)|kms_plane_lowres (pipe-b-tiling-y)|kms_plane_lowres (pipe-c-tiling-none)|kms_concurrent (pipe-[abc])) +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_287/fi-icl-dsi/igt@runner@aborted.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_289/fi-icl-dsi/igt@runner@aborted.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-dsi/igt@runner@aborted.html
Comment 8 Jani Nikula 2019-06-10 19:45:56 UTC
Should be fixed by https://patchwork.freedesktop.org/series/61862/
Comment 9 CI Bug Log 2019-06-11 13:09:10 UTC
A CI Bug Log filter associated to this bug has been updated:

{- fi-icl-dsi: igt@runner@aborted - fail - Previous test: (kms_plane_lowres (pipe-a-tiling-y)|kms_plane_lowres (pipe-c-tiling-x)|kms_plane_lowres (pipe-b-tiling-y)|kms_plane_lowres (pipe-c-tiling-none)|kms_concurrent (pipe-[abc])) -}
{+ fi-icl-dsi: igt@runner@aborted - fail - Previous test: (kms_plane_lowres|kms_concurrent) +}


  No new failures caught with the new filter
Comment 10 vandita.kulkarni 2019-07-10 06:10:10 UTC
Fixed now. https://patchwork.freedesktop.org/patch/314544/
Comment 11 Jani Nikula 2019-07-30 09:39:02 UTC
Vandita, please reference the bugs in the commit messages with the Bugzilla: tag.

And once the commits get pushed, please close the bugs.

Fixed by 

commit f384e48d7641ef284ae760d150c80920ffc3adbb
Author: Vandita Kulkarni <vandita.kulkarni@intel.com>
Date:   Thu Jun 27 20:54:57 2019 +0530

    drm/i915: Add icl mipi dsi properties


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.